CompactionInfo (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.compaction
Class CompactionInfo

    java.lang.Object
      org.apache.cassandra.db.compaction.CompactionInfo

All Implemented Interfaces:
  java.io.Serializable

    public final class CompactionInfo

extends java.lang.Object
implements java.io.Serializable

Implements serializable to allow structured info to be returned via JMX.

See Also:
  Serialized Form

Nested Class Summary
`static interface` | `CompactionInfo.Holder`

Constructor Summary
`CompactionInfo(int id, java.lang.String ksname, java.lang.String cfname, OperationType tasktype, long bytesComplete, long totalBytes)`

Method Summary
`CompactionInfo` | `forProgress(long bytesComplete, long totalBytes)`
`long` | `getBytesComplete()`
`java.lang.String` | `getColumnFamily()`
`int` | `getId()`
`java.lang.String` | `getKeyspace()`
`OperationType` | `getTaskType()`
`long` | `getTotalBytes()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompactionInfo

    public CompactionInfo(int id,
                          java.lang.String ksname,
                          java.lang.String cfname,
                          OperationType tasktype,
                          long bytesComplete,
                          long totalBytes)

Method Detail

### forProgress

    public CompactionInfo forProgress(long bytesComplete,
                                      long totalBytes)

  Returns:
    A copy of this CompactionInfo with updated progress.

### getId

    public int getId()

### getKeyspace

    public java.lang.String getKeyspace()

### getColumnFamily

    public java.lang.String getColumnFamily()

### getBytesComplete

    public long getBytesComplete()

### getTotalBytes

    public long getTotalBytes()

### getTaskType

    public OperationType getTaskType()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation